=== debian/changelog ===
afdko (3.6.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6.2+dfsg1
  * d/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 22:29:10 +0800
