=== debian/control ===
Source: afdko
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-booleanoperations (>= 0.9.0),
 python3-defcon (>= 0.7.2),
 python3-fontmath (>= 0.6.0),
 python3-fonttools (>= 4.21.1),
 python3-psautohint (>= 2.3.0),
 python3-tqdm (>= 4.57.0),
 python3-ufonormalizer (>= 0.5.3),
 python3-ufoprocessor (>= 1.9.0),
 python3-setuptools,
 python3-setuptools-scm,
 python3-wheel
Standards-Version: 4.5.1
Homepage: https://adobe-type-tools.github.io/afdko/
Vcs-Browser: https://salsa.debian.org/fonts-team/afdko
Vcs-Git: https://salsa.debian.org/fonts-team/afdko.git
Testsuite: autopkgtest-pkg-python

Package: afdko
Architecture: all
Depends:
 ${shlibs:Depends}, ${misc:Depends},
 python3, python3-afdko (= ${source:Version})
Suggests: afdko-doc
Description: Adobe Font Development Kit for OpenType
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.

Package: afdko-bin
Architecture: any
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: Adobe Font Development Kit for OpenType (Binaries)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This package installs native binaries in AFDKO.

Package: python3-afdko
Architecture: all
Section: python
Depends:
 ${python3:Depends}, ${misc:Depends},
 afdko-bin (>= ${source:Version}),
 afdko-bin (<< ${source:Upstream-Version}.0~),
 python3-fontpens
Suggests: afdko-doc
Description: Adobe Font Development Kit for OpenType (Python 3)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This package installs the library for Python 3.

Package: afdko-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Adobe Font Development Kit for OpenType (common documentation)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This is the common documentation package.
