=== debian/watch ===
version=4
opts="searchmode=plain,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1" \
https://api.github.com/repos/adobe-type-tools/afdko/releases \
https://github.com/adobe-type-tools/afdko/releases/download/[\d.]+/afdko-@ANY_VERSION@@ARCHIVE_EXT@
